Subject: Re: bug#61667: 29.0.60; Failure to redisplay

From: Po Lu <[email-masked]>
Date: Sat, 04 Mar 2023 08:01:20 +0800

Dmitry Gutov <[email-masked]> writes:

> On 02/03/2023 09:11, Eli Zaretskii wrote:
>>> From: Po Lu<[email-masked]>
>>> Cc:[email-masked],  Gregory Heytings<[email-masked]>,  Eli
>>>   Zaretskii<[email-masked]>
>>> Date: Thu, 02 Mar 2023 12:11:38 +0800
>>>
>>> Yes.  It sure sounds like a bug in the GNOME compositor now.
>>> Have you tried disabling GNOME Shell extensions one by one?  Maybe one
>>> of them is responsible for this.
>> Whether or not we find some workarounds, I think we should add an
>> entry to PROBLEMS about this.
>
> Speaking of disabling double buffering as a workaround: I went back to
> my old bug reports related to flickering, which double-buffering aimed
> to fix.
>
> I recompiled the GTK3 build without xdbe -- and still couldn't
> reproduce neither bug#12363 (which was admittedly filed on a Windows
> system), nor bug#16621. Even with the same font (Fira Code).
>
> Not sure what changed -- maybe better screen resolution, or a faster
> machine. And the DE, libraries' versions, etc.
>
> But there is a persistent glitch: when the window configuration
> changes, 1 or 2 vertical bars often flash:
>
> https://a.uguu.se/iYTlOftH.mp4 (with emacs -Q)
>
> https://a.uguu.se/YdDWpMid.mp4 (with my config but with tool-bar and
> scroll-bar modes enabled)
>
> scroll-bar-mode on seems to be required to reproduce this.

This is expected: moving the scroll bar causes exposures, which can
cause flickering.  That's the problem double buffering is supposed to
fix.